import { Socket } from "socket.io-client";
export type User = {
    id: string;
    name: string;
};
export type ReplyMessagePayload = {
    fromId: string;
    message: string;
};
type LiveUsersCallback = (users: User[]) => void;
type ReplyCallback = (payload: ReplyMessagePayload) => void;
export declare class SocketClient {
    socket: Socket;
    constructor(url: string, autoConnect?: boolean);
    connect(userName: string): void;
    listenLiveUsers(onLiveUsersChange: LiveUsersCallback): void;
    listenReply(onReply: ReplyCallback): void;
    sendMessage(toId: string, message: string): void;
    /**
     * Private methods
     */
    private requsetToJoinRoom;
}
export {};
